import{s as Ue,n as Ae,o as Oe}from"../chunks/scheduler.6062bdaf.js";import{S as Se,i as He,g as a,s as r,r as d,A as Me,h as i,f as n,c as o,j as _,u as l,x as y,k as v,y as e,a as p,v as c,d as g,t as h,w as f}from"../chunks/index.4bca734e.js";import{D as x}from"../chunks/Docstring.ed07512f.js";import{H as ve}from"../chunks/Heading.723dceba.js";function je(ye){let $,xt,vt,$t,E,bt,U,xe=`It is very common to have to generate dummy inputs to perform a task (tracing, exporting a model to some backend,
testing model outputs, etc). The goal of <a href="/docs/optimum/v1.17.1/en/utils/dummy_input_generators#optimum.utils.DummyInputGenerator">DummyInputGenerator</a> classes is to make this
generation easy and re-usable.`,Dt,A,wt,s,O,Qt,rt,$e="Generates dummy inputs for the supported input names, in the requested framework.",Wt,C,S,Xt,ot,be="Concatenates inputs together.",Yt,k,H,Zt,at,De="Generates a constant tensor.",te,q,M,ee,it,we="Generates the dummy input matching <code>input_name</code> for the requested framework.",ne,N,j,re,mt,Te="Pads an input either to the desired length, or by a padding length.",oe,z,B,ae,st,Ie="Generates a tensor of random floats in the [min_value, max_value) range.",ie,L,K,me,pt,Ge="Generates a tensor of random integers in the [min_value, max_value) range.",se,P,R,pe,ut,Ce="Generates a mask tensor either right or left padded.",ue,V,F,de,dt,ke="Checks whether the <code>DummyInputGenerator</code> supports the generation of the requested input.",Tt,J,It,b,Q,le,lt,qe="Generates dummy encoder text inputs.",Gt,D,W,ce,ct,Ne="Generates dummy decoder text inputs.",Ct,w,X,ge,gt,ze="Generates dummy past_key_values inputs.",kt,T,Y,he,ht,Le="Generates dummy past_key_values inputs for seq2seq architectures.",qt,I,Z,fe,ft,Pe="Generates dummy bbox inputs.",Nt,G,tt,_e,_t,Ve="Generates dummy vision inputs.",zt,et,nt,Lt,yt,Pt;return E=new ve({props:{title:"Dummy Input Generators",local:"dummy-input-generators",headingTag:"h1"}}),A=new ve({props:{title:"Base class",local:"optimum.utils.DummyInputGenerator",headingTag:"h2"}}),O=new x({props:{name:"class optimum.utils.DummyInputGenerator",anchor:"optimum.utils.DummyInputGenerator",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L112"}}),S=new x({props:{name:"concat_inputs",anchor:"optimum.utils.DummyInputGenerator.concat_inputs",parameters:[{name:"inputs",val:""},{name:"dim",val:": int"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.concat_inputs.dim",description:`<strong>dim</strong> (<code>int</code>) &#x2014;
The dimension along which to concatenate.`,name:"dim"}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L308",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The tensor of the concatenation.</p>
`}}),H=new x({props:{name:"constant_tensor",anchor:"optimum.utils.DummyInputGenerator.constant_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"value",val:": typing.Union[int, float] = 1"},{name:"dtype",val:": typing.Optional[typing.Any] = None"},{name:"framework",val:": str = 'pt'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the constant tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.value",description:`<strong>value</strong> (<code>Union[int, float]</code>, defaults to 1) &#x2014;
The value to fill the constant tensor with.`,name:"value"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.dtype",description:`<strong>dtype</strong> (<code>Optional[Any]</code>, defaults to <code>None</code>) &#x2014;
The dtype of the constant tensor.`,name:"dtype"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L267",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A constant tensor in the requested framework.</p>
`}}),M=new x({props:{name:"generate",anchor:"optimum.utils.DummyInputGenerator.generate",parameters:[{name:"input_name",val:": str"},{name:"framework",val:": str = 'pt'"},{name:"int_dtype",val:": str = 'int64'"},{name:"float_dtype",val:": str = 'fp32'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.generate.input_name",description:`<strong>input_name</strong> (<code>str</code>) &#x2014;
The name of the input to generate.`,name:"input_name"},{anchor:"optimum.utils.DummyInputGenerator.generate.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.generate.int_dtype",description:`<strong>int_dtype</strong> (<code>str</code>, defaults to <code>&quot;int64&quot;</code>) &#x2014;
The dtypes of generated integer tensors.`,name:"int_dtype"},{anchor:"optimum.utils.DummyInputGenerator.generate.float_dtype",description:`<strong>float_dtype</strong> (<code>str</code>, defaults to <code>&quot;fp32&quot;</code>) &#x2014;
The dtypes of generated float tensors.`,name:"float_dtype"}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L133",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A tensor in the requested framework of the input.</p>
`}}),j=new x({props:{name:"pad_input_on_dim",anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim",parameters:[{name:"input_",val:""},{name:"dim",val:": int"},{name:"desired_length",val:": typing.Optional[int] = None"},{name:"padding_length",val:": typing.Optional[int] = None"},{name:"value",val:": typing.Union[int, float] = 1"},{name:"dtype",val:": typing.Optional[typing.Any] = None"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.dim",description:`<strong>dim</strong> (<code>int</code>) &#x2014;
The dimension along which to pad.`,name:"dim"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.desired_length",description:`<strong>desired_length</strong> (<code>Optional[int]</code>, defaults to <code>None</code>) &#x2014;
The desired length along the dimension after padding.`,name:"desired_length"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.padding_length",description:`<strong>padding_length</strong> (<code>Optional[int]</code>, defaults to <code>None</code>) &#x2014;
The length to pad along the dimension.`,name:"padding_length"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.value",description:`<strong>value</strong> (<code>Union[int, float]</code>, defaults to 1) &#x2014;
The value to use for padding.`,name:"value"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.dtype",description:`<strong>dtype</strong> (<code>Optional[Any]</code>, defaults to <code>None</code>) &#x2014;
The dtype of the padding.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L331",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The padded tensor.</p>
`}}),B=new x({props:{name:"random_float_tensor",anchor:"optimum.utils.DummyInputGenerator.random_float_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"min_value",val:": float = 0"},{name:"max_value",val:": float = 1"},{name:"framework",val:": str = 'pt'"},{name:"dtype",val:": str = 'fp32'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the random tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.min_value",description:`<strong>min_value</strong> (<code>float</code>, defaults to 0) &#x2014;
The minimum value allowed.`,name:"min_value"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.max_value",description:`<strong>max_value</strong> (<code>float</code>, defaults to 1) &#x2014;
The maximum value allowed.`,name:"max_value"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.dtype",description:`<strong>dtype</strong> (<code>str</code>, defaults to <code>&quot;fp32&quot;</code>) &#x2014;
The dtype of the generated float tensor. Could be &#x201C;fp32&#x201D;, &#x201C;fp16&#x201D;, &#x201C;bf16&#x201D;.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L236",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A random tensor in the requested framework.</p>
`}}),K=new x({props:{name:"random_int_tensor",anchor:"optimum.utils.DummyInputGenerator.random_int_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"max_value",val:": int"},{name:"min_value",val:": int = 0"},{name:"framework",val:": str = 'pt'"},{name:"dtype",val:": str = 'int64'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the random tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.max_value",description:`<strong>max_value</strong> (<code>int</code>) &#x2014;
The maximum value allowed.`,name:"max_value"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.min_value",description:`<strong>min_value</strong> (<code>int</code>, defaults to 0) &#x2014;
The minimum value allowed.`,name:"min_value"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.dtype",description:`<strong>dtype</strong> (<code>str</code>, defaults to <code>&quot;int64&quot;</code>) &#x2014;
The dtype of the generated integer tensor. Could be &#x201C;int64&#x201D;, &#x201C;int32&#x201D;, &#x201C;int8&#x201D;.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L153",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A random tensor in the requested framework.</p>
`}}),R=new x({props:{name:"random_mask_tensor",anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"padding_side",val:": str = 'right'"},{name:"framework",val:": str = 'pt'"},{name:"dtype",val:": str = 'int64'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the random tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.padding_side",description:`<strong>padding_side</strong> (<code>str</code>, defaults to &#x201C;right&#x201D;) &#x2014;
The side on which the padding is applied.`,name:"padding_side"},{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.dtype",description:`<strong>dtype</strong> (<code>str</code>, defaults to <code>&quot;int64&quot;</code>) &#x2014;
The dtype of the generated integer tensor. Could be &#x201C;int64&#x201D;, &#x201C;int32&#x201D;, &#x201C;int8&#x201D;.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L183",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A random mask tensor either left padded or right padded in the requested framework.</p>
`}}),F=new x({props:{name:"supports_input",anchor:"optimum.utils.DummyInputGenerator.supports_input",parameters:[{name:"input_name",val:": str"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.supports_input.input_name",description:`<strong>input_name</strong> (<code>str</code>) &#x2014;
The name of the input to generate.`,name:"input_name"}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L119",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A boolean specifying whether the input is supported.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),J=new ve({props:{title:"Existing dummy input generators",local:"optimum.utils.DummyTextInputGenerator",headingTag:"h2"}}),Q=new x({props:{name:"class optimum.utils.DummyTextInputGenerator",anchor:"optimum.utils.DummyTextInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"num_choices",val:": int = 4"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_num_choices_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"padding_side",val:": str = 'right'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L377"}}),W=new x({props:{name:"class optimum.utils.DummyDecoderTextInputGenerator",anchor:"optimum.utils.DummyDecoderTextInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"num_choices",val:": int = 4"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_num_choices_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"padding_side",val:": str = 'right'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L440"}}),X=new x({props:{name:"class optimum.utils.DummyPastKeyValuesGenerator",anchor:"optimum.utils.DummyPastKeyValuesGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L503"}}),Y=new x({props:{name:"class optimum.utils.DummySeq2SeqPastKeyValuesGenerator",anchor:"optimum.utils.DummySeq2SeqPastKeyValuesGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedSeq2SeqConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"encoder_sequence_length",val:": typing.Optional[int] = None"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L550"}}),Z=new x({props:{name:"class optimum.utils.DummyBboxInputGenerator",anchor:"optimum.utils.DummyBboxInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L608"}}),tt=new x({props:{name:"class optimum.utils.DummyVisionInputGenerator",anchor:"optimum.utils.DummyVisionInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedVisionConfig"},{name:"batch_size",val:": int = 2"},{name:"num_channels",val:": int = 3"},{name:"width",val:": int = 64"},{name:"height",val:": int = 64"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L648"}}),nt=new x({props:{name:"class optimum.utils.DummyAudioInputGenerator",anchor:"optimum.utils.DummyAudioInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedConfig"},{name:"batch_size",val:": int = 2"},{name:"feature_size",val:": int = 80"},{name:"nb_max_frames",val:": int = 3000"},{name:"audio_sequence_length",val:": int = 16000"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.17.1/optimum/utils/input_generators.py#L708"}}),{c(){$=a("meta"),xt=r(),vt=a("p"),$t=r(),d(E.$$.fragment),bt=r(),U=a("p"),U.innerHTML=xe,Dt=r(),d(A.$$.fragment),wt=r(),s=a("div"),d(O.$$.fragment),Qt=r(),rt=a("p"),rt.textContent=$e,Wt=r(),C=a("div"),d(S.$$.fragment),Xt=r(),ot=a("p"),ot.textContent=be,Yt=r(),k=a("div"),d(H.$$.fragment),Zt=r(),at=a("p"),at.textContent=De,te=r(),q=a("div"),d(M.$$.fragment),ee=r(),it=a("p"),it.innerHTML=we,ne=r(),N=a("div"),d(j.$$.fragment),re=r(),mt=a("p"),mt.textContent=Te,oe=r(),z=a("div"),d(B.$$.fragment),ae=r(),st=a("p"),st.textContent=Ie,ie=r(),L=a("div"),d(K.$$.fragment),me=r(),pt=a("p"),pt.textContent=Ge,se=r(),P=a("div"),d(R.$$.fragment),pe=r(),ut=a("p"),ut.textContent=Ce,ue=r(),V=a("div"),d(F.$$.fragment),de=r(),dt=a("p"),dt.innerHTML=ke,Tt=r(),d(J.$$.fragment),It=r(),b=a("div"),d(Q.$$.fragment),le=r(),lt=a("p"),lt.textContent=qe,Gt=r(),D=a("div"),d(W.$$.fragment),ce=r(),ct=a("p"),ct.textContent=Ne,Ct=r(),w=a("div"),d(X.$$.fragment),ge=r(),gt=a("p"),gt.textContent=ze,kt=r(),T=a("div"),d(Y.$$.fragment),he=r(),ht=a("p"),ht.textContent=Le,qt=r(),I=a("div"),d(Z.$$.fragment),fe=r(),ft=a("p"),ft.textContent=Pe,Nt=r(),G=a("div"),d(tt.$$.fragment),_e=r(),_t=a("p"),_t.textContent=Ve,zt=r(),et=a("div"),d(nt.$$.fragment),Lt=r(),yt=a("p"),this.h()},l(t){const m=Me("svelte-u9bgzb",document.head);$=i(m,"META",{name:!0,content:!0}),m.forEach(n),xt=o(t),vt=i(t,"P",{}),_(vt).forEach(n),$t=o(t),l(E.$$.fragment,t),bt=o(t),U=i(t,"P",{"data-svelte-h":!0}),y(U)!=="svelte-lywtzu"&&(U.innerHTML=xe),Dt=o(t),l(A.$$.fragment,t),wt=o(t),s=i(t,"DIV",{class:!0});var u=_(s);l(O.$$.fragment,u),Qt=o(u),rt=i(u,"P",{"data-svelte-h":!0}),y(rt)!=="svelte-157abj3"&&(rt.textContent=$e),Wt=o(u),C=i(u,"DIV",{class:!0});var Vt=_(C);l(S.$$.fragment,Vt),Xt=o(Vt),ot=i(Vt,"P",{"data-svelte-h":!0}),y(ot)!=="svelte-zzi3wj"&&(ot.textContent=be),Vt.forEach(n),Yt=o(u),k=i(u,"DIV",{class:!0});var Et=_(k);l(H.$$.fragment,Et),Zt=o(Et),at=i(Et,"P",{"data-svelte-h":!0}),y(at)!=="svelte-1y5j6bo"&&(at.textContent=De),Et.forEach(n),te=o(u),q=i(u,"DIV",{class:!0});var Ut=_(q);l(M.$$.fragment,Ut),ee=o(Ut),it=i(Ut,"P",{"data-svelte-h":!0}),y(it)!=="svelte-1t5v7od"&&(it.innerHTML=we),Ut.forEach(n),ne=o(u),N=i(u,"DIV",{class:!0});var At=_(N);l(j.$$.fragment,At),re=o(At),mt=i(At,"P",{"data-svelte-h":!0}),y(mt)!=="svelte-4ylykg"&&(mt.textContent=Te),At.forEach(n),oe=o(u),z=i(u,"DIV",{class:!0});var Ot=_(z);l(B.$$.fragment,Ot),ae=o(Ot),st=i(Ot,"P",{"data-svelte-h":!0}),y(st)!=="svelte-1p1x6w2"&&(st.textContent=Ie),Ot.forEach(n),ie=o(u),L=i(u,"DIV",{class:!0});var St=_(L);l(K.$$.fragment,St),me=o(St),pt=i(St,"P",{"data-svelte-h":!0}),y(pt)!=="svelte-1xlifly"&&(pt.textContent=Ge),St.forEach(n),se=o(u),P=i(u,"DIV",{class:!0});var Ht=_(P);l(R.$$.fragment,Ht),pe=o(Ht),ut=i(Ht,"P",{"data-svelte-h":!0}),y(ut)!=="svelte-1g8m1fx"&&(ut.textContent=Ce),Ht.forEach(n),ue=o(u),V=i(u,"DIV",{class:!0});var Mt=_(V);l(F.$$.fragment,Mt),de=o(Mt),dt=i(Mt,"P",{"data-svelte-h":!0}),y(dt)!=="svelte-k00hs6"&&(dt.innerHTML=ke),Mt.forEach(n),u.forEach(n),Tt=o(t),l(J.$$.fragment,t),It=o(t),b=i(t,"DIV",{class:!0});var jt=_(b);l(Q.$$.fragment,jt),le=o(jt),lt=i(jt,"P",{"data-svelte-h":!0}),y(lt)!=="svelte-1fjsvlm"&&(lt.textContent=qe),jt.forEach(n),Gt=o(t),D=i(t,"DIV",{class:!0});var Bt=_(D);l(W.$$.fragment,Bt),ce=o(Bt),ct=i(Bt,"P",{"data-svelte-h":!0}),y(ct)!=="svelte-12xi2x2"&&(ct.textContent=Ne),Bt.forEach(n),Ct=o(t),w=i(t,"DIV",{class:!0});var Kt=_(w);l(X.$$.fragment,Kt),ge=o(Kt),gt=i(Kt,"P",{"data-svelte-h":!0}),y(gt)!=="svelte-194nuou"&&(gt.textContent=ze),Kt.forEach(n),kt=o(t),T=i(t,"DIV",{class:!0});var Rt=_(T);l(Y.$$.fragment,Rt),he=o(Rt),ht=i(Rt,"P",{"data-svelte-h":!0}),y(ht)!=="svelte-1mh0vyd"&&(ht.textContent=Le),Rt.forEach(n),qt=o(t),I=i(t,"DIV",{class:!0});var Ft=_(I);l(Z.$$.fragment,Ft),fe=o(Ft),ft=i(Ft,"P",{"data-svelte-h":!0}),y(ft)!=="svelte-mrxph6"&&(ft.textContent=Pe),Ft.forEach(n),Nt=o(t),G=i(t,"DIV",{class:!0});var Jt=_(G);l(tt.$$.fragment,Jt),_e=o(Jt),_t=i(Jt,"P",{"data-svelte-h":!0}),y(_t)!=="svelte-oqlyz"&&(_t.textContent=Ve),Jt.forEach(n),zt=o(t),et=i(t,"DIV",{class:!0});var Ee=_(et);l(nt.$$.fragment,Ee),Ee.forEach(n),Lt=o(t),yt=i(t,"P",{}),_(yt).forEach(n),this.h()},h(){v($,"name","hf:doc:metadata"),v($,"content",Be),v(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,$),p(t,xt,m),p(t,vt,m),p(t,$t,m),c(E,t,m),p(t,bt,m),p(t,U,m),p(t,Dt,m),c(A,t,m),p(t,wt,m),p(t,s,m),c(O,s,null),e(s,Qt),e(s,rt),e(s,Wt),e(s,C),c(S,C,null),e(C,Xt),e(C,ot),e(s,Yt),e(s,k),c(H,k,null),e(k,Zt),e(k,at),e(s,te),e(s,q),c(M,q,null),e(q,ee),e(q,it),e(s,ne),e(s,N),c(j,N,null),e(N,re),e(N,mt),e(s,oe),e(s,z),c(B,z,null),e(z,ae),e(z,st),e(s,ie),e(s,L),c(K,L,null),e(L,me),e(L,pt),e(s,se),e(s,P),c(R,P,null),e(P,pe),e(P,ut),e(s,ue),e(s,V),c(F,V,null),e(V,de),e(V,dt),p(t,Tt,m),c(J,t,m),p(t,It,m),p(t,b,m),c(Q,b,null),e(b,le),e(b,lt),p(t,Gt,m),p(t,D,m),c(W,D,null),e(D,ce),e(D,ct),p(t,Ct,m),p(t,w,m),c(X,w,null),e(w,ge),e(w,gt),p(t,kt,m),p(t,T,m),c(Y,T,null),e(T,he),e(T,ht),p(t,qt,m),p(t,I,m),c(Z,I,null),e(I,fe),e(I,ft),p(t,Nt,m),p(t,G,m),c(tt,G,null),e(G,_e),e(G,_t),p(t,zt,m),p(t,et,m),c(nt,et,null),p(t,Lt,m),p(t,yt,m),Pt=!0},p:Ae,i(t){Pt||(g(E.$$.fragment,t),g(A.$$.fragment,t),g(O.$$.fragment,t),g(S.$$.fragment,t),g(H.$$.fragment,t),g(M.$$.fragment,t),g(j.$$.fragment,t),g(B.$$.fragment,t),g(K.$$.fragment,t),g(R.$$.fragment,t),g(F.$$.fragment,t),g(J.$$.fragment,t),g(Q.$$.fragment,t),g(W.$$.fragment,t),g(X.$$.fragment,t),g(Y.$$.fragment,t),g(Z.$$.fragment,t),g(tt.$$.fragment,t),g(nt.$$.fragment,t),Pt=!0)},o(t){h(E.$$.fragment,t),h(A.$$.fragment,t),h(O.$$.fragment,t),h(S.$$.fragment,t),h(H.$$.fragment,t),h(M.$$.fragment,t),h(j.$$.fragment,t),h(B.$$.fragment,t),h(K.$$.fragment,t),h(R.$$.fragment,t),h(F.$$.fragment,t),h(J.$$.fragment,t),h(Q.$$.fragment,t),h(W.$$.fragment,t),h(X.$$.fragment,t),h(Y.$$.fragment,t),h(Z.$$.fragment,t),h(tt.$$.fragment,t),h(nt.$$.fragment,t),Pt=!1},d(t){t&&(n(xt),n(vt),n($t),n(bt),n(U),n(Dt),n(wt),n(s),n(Tt),n(It),n(b),n(Gt),n(D),n(Ct),n(w),n(kt),n(T),n(qt),n(I),n(Nt),n(G),n(zt),n(et),n(Lt),n(yt)),n($),f(E,t),f(A,t),f(O),f(S),f(H),f(M),f(j),f(B),f(K),f(R),f(F),f(J,t),f(Q),f(W),f(X),f(Y),f(Z),f(tt),f(nt)}}}const Be='{"title":"Dummy Input Generators","local":"dummy-input-generators","sections":[{"title":"Base class","local":"optimum.utils.DummyInputGenerator","sections":[],"depth":2},{"title":"Existing dummy input generators","local":"optimum.utils.DummyTextInputGenerator","sections":[],"depth":2}],"depth":1}';function Ke(ye){return Oe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class We extends Se{constructor($){super(),He(this,$,Ke,je,Ue,{})}}export{We as component};
